Page MenuHomePhabricator

[Story] Make it impossible to use Special:NewItem with the same content for label and description
Closed, ResolvedPublic

Description

We've tried to make an abuse filter for this, but that's impossible it seems. There are a lot of items created with the same content for label and description, like here. Or we need to adjust the abuse filter extension to make it possible to detect this, or we should adjust the special page code to make it impossible to do this.

Details

Related Gerrit Patches:

Event Timeline

Sjoerddebruin raised the priority of this task from to Needs Triage.
Sjoerddebruin updated the task description. (Show Details)
Sjoerddebruin added a subscriber: Sjoerddebruin.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2015, 12:40 PM
Sjoerddebruin set Security to None.

Via the submission page sounds like it would be more useful seeing that it is a very specific change to a very specific site.

Mbch331 added a subscriber: Mbch331.Jun 1 2015, 7:43 PM
Lydia_Pintscher triaged this task as High priority.Jun 12 2015, 1:29 PM

This is still happening a lot and is slowing down the patrolling of new pages. The abuse filter doesn't seem working.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 16 2015, 12:13 PM

Marius is looking into it.
Do you have any hunch about why this is happening? Is there a place people are lead the wrong way on a client wiki? Is our UI missleading? Is it only happening on page creation or also in regular editing after that?

hoo added a comment.Jul 16 2015, 6:52 PM

Maybe we should disallow labels equaling descriptions in general?

Marius is looking into it.
Do you have any hunch about why this is happening? Is there a place people are lead the wrong way on a client wiki? Is our UI missleading? Is it only happening on page creation or also in regular editing after that?

I don't know, it really sound stupid. Some users fill in things like "enwiki" in the first field, because they think it is the same as the clientside widget. Most people just don't read the text above the fields and do whatever they want. Some hints (long description, wrong value) will help a lot I think.

@Sjoerddebruin I have just discovered that item creations are not checked/tagged by AbuseFilter on Wikidata when certain circumstances occur. I will create a separate ticket on this. So for now a software change is the only way to go.

Nikki added a subscriber: Nikki.Jul 16 2015, 9:16 PM

The "enwiki" ones might be caused by T104052.

Could we make this impossible until a solution for the abuse filter has been found? The same thing is also happening for aliases: https://www.wikidata.org/w/index.php?title=Q20747752&oldid=238666884

Lydia_Pintscher renamed this task from Make it impossible to use Special:NewItem with the same content for label and description to [Story] Make it impossible to use Special:NewItem with the same content for label and description.Aug 18 2015, 7:37 AM
D3r1ck01 updated the task description. (Show Details)Oct 22 2016, 10:29 AM
abian awarded a token.Nov 7 2018, 10:25 PM
abian added a subscriber: abian.Nov 7 2018, 11:02 PM

Maybe this isn't our most urgent issue about data quality, but I don't think it's hard to solve, at least in its simplest form: add a check on Special:NewItem and raise an error if the label and the description are the same. If resources are scarce, I'm sure this change on Special:NewItem could be applied quickly; in case they are enough, a deeper change affecting all the interfaces would be great, of course. :-)

Change 472500 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] WIP Don't allow Special:NewItem to create when label === description

https://gerrit.wikimedia.org/r/472500

Change 472500 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Don't allow Special:NewItem to create when label === description

https://gerrit.wikimedia.org/r/472500

abian closed this task as Resolved.Jan 3 2019, 4:14 PM
abian claimed this task.

This is resolved. :D I've created T212869 for the general case.